<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="utf-8">
    <meta name="description" content="Conceptos innovadores en la división de servicios industriales como: quemadores, hornos, automatización, proyectos de infraestructura, cabinas para de satisfacer las necesidades del mercado. ">
    <meta name="author" content="Nextio">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <script src="js/modernizr.js"></script>
    <script src="js/device.min.js"></script>

    <title>Praut ::Process Solutions:: </title>
    <link rel="shortcut icon" href="favicon/logo.ico">
    <link rel="stylesheet" type="text/css" href="./css/style.css">
    <link rel="stylesheet" type="text/css" href="./css/animate.css">

    <!--[if lt IE 9]>
    <script src="bootstrap/js/html5shiv.js"></script>
    <script src="bootstrap/js/respond.min.js"></script>
    <![endif]-->

    <script src="http://d3js.org/d3.v3.min.js"></script>
    <script src="http://d3js.org/topojson.v1.min.js"></script>

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.3.5/jquery.fancybox.min.css" />
    
</head>
<body class="initAnimate" data-spy="scroll">

<header id="MainHeader" class="main-header main-header-with-slogan chapter">
    <div class="fullscreen-slider-slogan fs-with-menu-bottom">
        <ul class="slides">
            <li>
                <div class="carousel-caption">
                    <h4>QUEMADORES INDUSTRIALES</h4>
                    <h5>Las mejores soluciones en tecnología de combustión</h5>
                </div>
                <img src="images/bg1.jpg" alt="preview">
            </li>
            <li>
                <div class="carousel-caption">
                    <h4>HORNOS INDUSTRIALES</h4>
                    <h5>Ingeniería dedicada a un alto desempeño en hornos de baja y alta temperatura</h5>
                </div>
                <img src="images/bg2.jpg" alt="preview">
            </li>
            <li>
                <div class="carousel-caption">
                    <h4>AUTOMATIZACIÓN</h4>
                    <h5>Diseño e integración de sistemas automáticos autónomos que su proceso necesita, con una alta calidad</h5>
                </div>
                <img src="images/bg3.jpg" alt="preview">
            </li>
            <li>
                <div class="carousel-caption">
                    <h4>INFRAESTRUCTURA INDUSTRIAL</h4>
                    <h5>Diseño, procura y construcción</h5>
                </div>
                <img src="images/bg4.jpg" alt="preview">
            </li>
            <li>
                <div class="carousel-caption">
                    <h4>CABINAS DE PINTURA</h4>
                    <h5>Cumplimiento con los más altos estándares de calidad en procesos de terminanción</h5>
                </div>
                <img src="images/bg5.jpg" alt="preview">
            </li>
        </ul>
    </div>
</header>

<!-- Begin Navigation -->
<nav id="navigation" class="navbar navbar-color remove-left-red navbar-fixed-top" role="navigation">
    <!-- Brand and toggle get grouped for better mobile display -->
    <div class="navbar-header">
        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
        </button>
        <a class="navbar-brand onepage" href="#MainHeader"><img src="images/logo_praut_bgoscuro.png" alt=""></a>
    </div>
    <div class="triangle visible-md visible-lg"></div>

    <!-- Collect the nav links, forms, and other content for toggling -->
    <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
        <ul class="nav navbar-nav navbar-right">
            <li class="dropdown">
              <a data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                Quemadores <br>Industriales
                <span class="caret"></span>
              </a>
              <ul class="dropdown-menu" aria-labelledby="dLabel">
                <li class="onepage"><a href="#services">Quemadores</a></li>
                <li class="onepage"><a href="#services">Instrumentación y Equipo de Control</a></li>
                <li class="onepage"><a href="#services">Servicio y Mantenimiento</a></li>
              </ul>
            </li >
            <li class="onepage"><a href="#team">Hornos<br>Industriales    </a></li>
            <li class="dropdown">
              <a data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                Instrumentación y<br> Control Automático
                <span class="caret"></span>
              </a>
              <ul class="dropdown-menu" aria-labelledby="dLabel">
                <li class="onepage"><a href="#services">Desarrollo de Software</a></li>
                <li class="onepage"><a href="#services">Instrumentación </a></li>
                <li class="onepage"><a href="#services">Ingenería Eléctrica</a></li>
              </ul>
            </li >
            <li class="dropdown">
              <a data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
               Calderas<br>
                <span class="caret"></span>
              </a>
              <ul class="dropdown-menu" aria-labelledby="dLabel">
                <li class="onepage"><a href="#services">Sistemas Integrales de Control</a></li>
                <li class="onepage"><a href="#services">Conversiones de Combustible</a></li>
              </ul>
            </li >

            <li class="onepage"><a href="#services">Proyectos de<br> Infraestructura Industrial</a></li>
            <li class="dropdown">
              <a data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
               Cabinas<br> de Pintura
                <span class="caret"></span>
              </a>
              <ul class="dropdown-menu" aria-labelledby="dLabel">
                <li class="onepage"><a href="#services">Catálogo Automotriz</a></li>
                <li class="onepage"><a href="#services">Personalizadas</a></li>
                <li class="onepage"><a href="#services">Cocinas de Pintura</a></li>
              </ul>
            </li >
            <li><a href="#contact-us">Contacto <br></a></li>
            <li><a href="#"><i class="fa fa-facebook"></i></a></li>
        </ul>
    </div>
</nav>
<!-- End Navigation -->

<div class="container"></div>

<div id="about-us">
    <div class="container padding-medium text-center chapter">
        <h3>Quién es  <span class="color-font light">Praut Process Solutions</span></h3>
        <h5>Es una <span class="color-font">empresa de origen mexicano </span> con conceptos innovadores en proyectos y servicios industriales. Brindamos el soporte y desarrollo que el mercado actual exige respetando los estándares de calidad con el firme propósito de satisfacer sus necesidades.</span></h5>
    </div>
</div>

<div class="container"></div>

<div id="team">
    <div class="vision container padding-medium text-center chapter">
        <div class="col-md-6 col-sm-6">
            <h2><span class="color-font light">Visión</span></h2>
            <h5>Ser una empresa de proyectos y servicios industriales innovadora y creativa desarrollando tecnología y soluciones de ingeniería vanguardistas en los problemas que la industria actual demanda</h5>
        </div>
        <div class="col-md-6 col-sm-6">
            <h2><span class="color-font light">Misión</span></h2>
            <h5>Con diversas especialidades y personal de alta experiencia nuestra misión es atender las necesidades de nuestros clientes enfocado en 4 puntos: control de calidad, control de tiempos, control de costos y seguridad en los proyectos.</span></h5>
        </div>
    </div>
</div>

<div class="container"></div>

<div class="dark-gray-row">
    <div class="container text-center padding-small">
        <h4>Nuestra <span class="color-font light">Razón </span> <span class="light">de Ser - Clientes <span class="color-font">Satisfechos </span></span></h4>
    </div>
    <div class="container">
        <div class="flexCarousel">
            <div class="flexslider">
                <ul class="slides">
                    <li>
                        <a href="#"><img src="images/clientes/1.png" alt=""></a>
                    </li>
                    <li>
                        <a href="#"><img src="images/clientes/2.png" alt=""></a>
                    </li>
                    <li>
                        <a href="#"><img src="images/clientes/3.png" alt=""></a>
                    </li>
                    <li>
                        <a href="#"><img src="images/clientes/4.png" alt=""></a>
                    </li>
                    <li>
                        <a href="#"><img src="images/clientes/5.png" alt=""></a>
                    </li>
                    <li>
                        <a href="#"><img src="images/clientes/6.png" alt=""></a>
                    </li>
                    <li>
                        <a href="#"><img src="images/clientes/7.png" alt=""></a>
                    </li>
                    <li>
                        <a href="#"><img src="images/clientes/8.png" alt=""></a>
                    </li>
                    <li>
                        <a href="#"><img src="images/clientes/9.png" alt=""></a>
                    </li>
                    
                </ul>
            </div>
        </div>
        <!-- / flexCarousel -->
    </div>
</div>

<div class="container"></div>

<div id="services" class="light-gray-row">
    <div class="container text-center padding-medium animated" data-fx="fadeInUp">
        <h2><span class="color-font light">Servicios</span></h2>
    <h5>Una amplia gama de servicios que contamos para satisfacer las necesidades de los clientes!</h5>
        <div class="row services">
            <div class="col-md-4 col-sm-4">
                <div class="services-box">
                    <div class="circleBox">
                       <a data-fancybox="gallery" href="images/bg1.jpg"><img src="images/quemadores.jpg" alt=""></a>
                    </div>
                    <div class="col-md-12">
                        <h5>Quemadores Industriales</h5>
                        <p>Las mejores soluciones en tecnología de combustión</p> 

                        <ul class="list-group-services">
                            <li><strong>Comercialización</strong></li>
                            <li><strong>Calibración y puesta en marcha</strong></li>
                            <li><strong>Mantenimiento</strong></li>
                        </ul>
                        <a href="#" class="btn">Ver más</a>
                    </div>
                </div>
            </div>
            <div class="col-md-4 col-sm-4">
                <div class="services-box">
                    <div class="circleBox">
                       <a data-fancybox="gallery" href="images/bg2.jpg"><img src="images/hornos.jpg" alt=""></a>
                    </div>
                    <div class="col-md-12">
                        <h5>Hornos Industriales</h5>
                        <p>Ingeniería dedicada a un alto desempeño en hornos de baja y alta temperatura</p>

                        <ul class="list-group-services">
                            <li><strong>Comercialización</strong></li>
                            <li><strong>Calibración y puesta en marcha</strong></li>
                            <li><strong>Mantenimiento</strong></li>
                        </ul>
                        <a href="#" class="btn">Ver más</a>
                    </div>
                </div>
            </div>
            <div class="col-md-4 col-sm-4">
                <div class="services-box">
                    <div class="circleBox">
                       <a data-fancybox="gallery" href="images/bg3.jpg"><img src="images/automatizacion.jpg" alt=""></a>
                    </div>
                    <div class="col-md-12">
                        <h5>Automatización</h5>
                        <p>Diseño e integración de sistemas automáticos autónomos a la medida</p> 

                        <ul class="list-group-services">
                            <li><strong>Muestreo de señal</strong></li>
                            <li><strong>Intervencion de Plc´s</strong></li>
                            <li><strong>Programación PLC con diferentes marcas</strong></li>
                        </ul>
                        <a href="#" class="btn">Ver más</a>
                    </div>
                </div>
            </div>
        </div>

        <div class="row services">
            <div class="col-md-4 col-sm-4">
                <div class="services-box">
                    <div class="circleBox">
                       <a data-fancybox="gallery" href="images/bg4.jpg"><img src="images/infraestructura.jpg" alt=""></a>
                    </div>
                    <div class="col-md-12">
                        <h5>Infraestructura Industrial</h5>
                        <p>Diseño, procura y construcción </p> 

                        <ul class="list-group-services">
                            <li><strong>Tubería de aprovechamiento gas natural y L.P.</strong></li>
                            <li><strong>Estructuras metálicas</strong></li>
                            <li><strong>Ductos</strong></li>
                            <li><strong>Obra civil y arquitectónico</strong></li>
                            <li><strong>Laminación de naves</strong></li>
                        </ul>
                        <a href="#" class="btn">Ver más</a>
                    </div>
                </div>
            </div>
            <div class="col-md-4 col-sm-4">
                <div class="services-box">
                    <div class="circleBox">
                       <a data-fancybox="gallery" href="images/bg5.jpg"><img src="images/cabinas.jpg" alt=""></a>
                    </div>
                    <div class="col-md-12">
                        <h5>Cabinas de Pintura</h5>
                        <p>Diseñadas para cumplir con los más altos estándares de calidad en procesos de terminación</p> <br>

                        <ul class="list-group-services">
                            <li><strong>Control de humedad</strong></li>
                            <li><strong>Control de temperatura</strong></li>
                            <li><strong>Control de flujo de aire y presión estática</strong></li>
                            <li><strong>Plc control / HMI</strong></li>
                        </ul>
                        <a href="#" class="btn">Ver más</a>
                    </div>
                </div>
            </div>
            <div class="col-md-4 col-sm-4">
                <div class="services-box">
                    <div class="circleBox">
                       <a data-fancybox="gallery" href="images/bg6.jpg"><img src="images/electrica.jpg" alt=""></a>
                    </div>
                    <div class="col-md-12">
                        <h5>Ingeniería Eléctrica y Desarrollo</h5>
                        <!-- <p>Sus ideas las podemos plasmar y hacerlas una realidad </p>  --> 

                        <ul class="list-group-services">
                            <li><strong>Fabricación de gabinetes de control de fuerza para las diferentes industrias</strong></li>
                            <li><strong>Desarrollo de planos eléctricos para proyectos nuevos </strong></li>
                            <li><strong>Programación PLC con diferentes marcas Siemens, Allen Bradley, Omron, Mitsubishi etc.</strong></li>
                        </ul>
                        <a href="#" class="btn">Ver más</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="container"></div>

<div id="contact-us" class="container padding-top-medium padding-bottom-small text-center chapter">
    <h1> <span class="color-font light">Contacto</span></h1>
    <h5>Nos interesa escucharle, déjenos sus comentarios o dudas que tenga y con mucho gusto un asesor se comunicará lo más pronto posible o llámenos  a <br><br> nuestras oficinas en: <span class="color-font light" style="font-size: 1.2em;"> 01 (222) 940 8835</span>  </h5>
</div>

<div class="container"> </div>

<div class="container padding-small" >
    <div class="contactForm">
        <div class="row">
            <div class="successMessage alert alert-success" style="display: none">
                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                <p>¡Gracias! Lo contactaremos.</p>
            </div>
            <div class="errorMessage alert alert-error" style="display: none">
                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                <p>Lo sentimos, un error ocurrio</p>
            </div>
        </div>

        <form role="form" action="sendmail.php" method="post" class="contactForm validateIt" data-email-subject="Contact Form" data-show-errors="true" >
            <div class="row">
                <div class="col-md-6 col-sm-6">
                    <div class="form-group">
                        <input required type="text" name="name" class="form-control input-lg" placeholder="Nombre">
                    </div>
                    <div class="form-group">
                        <input required type="email" name="email" class="form-control input-lg" placeholder="E-mail">
                    </div>
                    <div class="form-group">
                        <input required type="tel" name="phone" class="form-control input-lg" placeholder="Teléfono">
                    </div>
                </div>
                <div class="col-md-6 col-sm-6">
                    <div class="form-group">
                        <textarea class="form-control input-lg" rows="4" name="message" required
                                  placeholder="Deje su mensaje"></textarea>
                    </div>
                    <button type="submit" class="btn btn-default btn-lg btn-block">Enviar mensaje</button>
                </div>
            </div>
        </form>
    </div>
    <!-- / contactForm -->
</div>

<div class="container">

</div>

<footer class="color-row">
    <div class="container text-center padding-small">
        <p ><img src="images/logo_praut_bgoscuro.png" alt="" width="300px"></p>

        <div class="social-unit">
            <div class="container text-center">
                <div class="social">
                    <ul>
                        <li>
                            <a href="#">
                                <div class="circle-btn" data-toggle="tooltip" data-placement="bottom"
                                     title="Facebook">
                                    <p><i class="fa fa-facebook"></i></p>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="#">
                                <div class="circle-btn" data-toggle="tooltip" data-placement="bottom"
                                     title="Twitter">
                                    <p><i class="fa fa-twitter"></i></p>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="#">
                                <div class="circle-btn" data-toggle="tooltip" data-placement="bottom" title="Google+">
                                    <p><i class="fa fa-google-plus"></i></p>
                                </div>
                            </a>
                        </li>
                       
                    </ul>
                </div>
            </div>
        </div>
        <p class="copy">Todos los derechos reservados  © 2018 Praut</p>
    </div>
</footer>

<div class="container">

</div>

<a href="#MainHeader" id="toTop" class="btn-scroll"><i class="fa fa-chevron-up"></i> Back to top</a>
<!-- End Main Container -->
<script src="js/jquery.min.js"></script>
<script src="bootstrap/js/bootstrap.min.js"></script>

<script src="js/jquery.parallax.js"></script>

<script src="js/jquery.pagescroller.lite.js"></script>

<script src="js/jquery.easy-pie-chart.js"></script>

<script src="js/jquery.isotope.min.js"></script>
<script src="js/jquery.ba-bbq.min.js"></script>

<script src="js/gmap3.min.js"></script>

<script src="js/d3.v3.min.js"></script>
<script src="js/topojson.v1.min.js"></script>

<script src="js/jquery.sticky.js"></script>

<script src="js/jquery.colorbox-min.js"></script>
<script src="flexslider/jquery.flexslider.js"></script>

<script src="js/jquery.fitvids.js"></script>

<script src="form/js/contact-form.js"></script>
<script src="js/jquery.appear.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.3.5/jquery.fancybox.min.js"></script>

<script>
    jQuery(document).ready(function () {

    jQuery('body').pageScroller({
    navigation: '#navigation .onepage',
    sectionClass: 'chapter',
    animationType: 'easeOutExpo',
    animationSpeed: 750,
    keyboardControl: true,
    scrollOffset: '-80'
    });
    });
</script>
<script src="js/main.js"></script>


</body>
</html>